﻿using FLY.OBJComponents.IService;
using FLY.Weight.Server.Model;
using FObjBase;
using FObjBase.Reflect;

namespace FLY.Weight.IService
{
    public interface IBulkDbFlowService : IBulkDbSQLiteService
    {
        /// <summary>
        /// 最后一条数据Id
        /// </summary>
        long LastId { get; }

        /// <summary>
        /// 获取纵向趋势图
        /// </summary>
        /// <param name="request"></param>
        /// <param name="asyncDelegate"></param>
        /// <param name="asyncContext"></param>
        [Call(typeof(Pack_GetTrendReponse<Lc_Flow>))]
        void GetTrend(
            Pack_GetTrendRequest request,
            AsyncCBHandler asyncDelegate, object asyncContext);
    }
}
